Myth II on openSUSE Leap 42.3 x86_64 DVD

A forum for solving problems that might be encountered during installation, updating, or in game.
Post Reply
akula65
Posts: 104
Joined: Mon Mar 14, 2011 5:44 pm

Myth II on openSUSE Leap 42.3 x86_64 DVD

Post by akula65 »

The following notes indicate what was required to get Myth II Version 1.8.2 Build 446 running in this particular Linux distro. One-Click installation of multimedia codecs was previously performed as described here (make sure the Packman Repository is used for multimedia):

http://opensuse-guide.org/codecs.php

The following packages (and their dependencies) must be installed in order to get the Version 1.8.2 installer to run for a new installation:

libgtk-2_0-0-32bit (+84 dependencies)
libgthread-2_0-0-32bit
libXtst6-32bit

Once Myth II is installed and QuickTime cutscenes are manually added, the following packages must be installed in order to get the game to run:

libGLU1-32bit
libopenal1-32bit
Mesa-dri-nouveau-32bit

The Mesa-dri-nouveau-32bit library was necessary to get rid of the following messages at startup:

~/Myth_II> ./Myth2
libGL error: unable to load driver: nouveau_dri.so
libGL error: driver pointer missing
libGL error: failed to load driver: nouveau
Post Reply